package cn.com.ctop.kuaishou.modules.report.enums;

public enum AudienceReportTableEnum {
    AGE("ctop_kuaishou_audience_report_daily_age", "age_segment","ctop_kuaishou_audience_report_daily_age_material","age_segment"),
    CLIENT("ctop_kuaishou_audience_report_daily_client", "client","ctop_kuaishou_audience_report_daily_client_material","client"),
    CITY("ctop_kuaishou_audience_report_daily_city", "city","ctop_kuaishou_audience_report_daily_city_material","city"),
    GENDER("ctop_kuaishou_audience_report_daily_gender", "gender","ctop_kuaishou_audience_report_daily_gender_material","gender"),
    BUSINESS("ctop_kuaishou_audience_report_daily_business", "business_interest_tags","ctop_kuaishou_audience_report_daily_business_material","business_interest_tags"),
    PROVINCE("ctop_kuaishou_audience_report_daily_province", "province","ctop_kuaishou_audience_report_daily_province_material","province");

    private String originTable;
    private String originTableKey;
    private String aggregationTable;
    private String aggregationTableKey;

    AudienceReportTableEnum(String originTable, String originTableKey, String aggregationTable, String aggregationTableKey) {
        this.originTable = originTable;
        this.originTableKey = originTableKey;
        this.aggregationTable = aggregationTable;
        this.aggregationTableKey = aggregationTableKey;
    }

    public String getOriginTable() {
        return originTable;
    }

    public String getOriginTableKey() {
        return originTableKey;
    }

    public String getAggregationTable() {
        return aggregationTable;
    }

    public String getAggregationTableKey() {
        return aggregationTableKey;
    }
}
